import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.cloud.lifecycle_policies.estimate_max_usage(
project_id=1,
region_id=1,
action="volume_snapshot",
name="schedule_1",
)
print(response.max_cost)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Cloud.LifecyclePolicies.EstimateMaxUsage(context.TODO(), cloud.LifecyclePolicyEstimateMaxUsageParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
Action: cloud.LifecyclePolicyEstimateMaxUsageParamsActionVolumeSnapshot,
Name: "schedule_1",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.MaxCost)
}
curl --request POST \
--url https://api.gcore.com/cloud/v1/lifecycle_policy/{project_id}/{region_id}/estimate_max_policy_usage \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "volume_snapshot",
"name": "schedule_1",
"schedules": [],
"status": "active",
"volume_ids": [
"3ed9e2ce-f906-47fb-ba32-c25a3f63df4f"
]
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
action: 'volume_snapshot',
name: 'schedule_1',
schedules: [],
status: 'active',
volume_ids: ['3ed9e2ce-f906-47fb-ba32-c25a3f63df4f']
})
};
fetch('https://api.gcore.com/cloud/v1/lifecycle_policy/{project_id}/{region_id}/estimate_max_policy_usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"max_cost": {
"currency_code": "USD",
"discount_percent": 0.16,
"price_per_hour": 1,
"price_per_month": 720,
"price_status": "show",
"price_without_discount_per_month": 604.8,
"tax_percent": 17
},
"max_volume_snapshot_count_usage": 2,
"max_volume_snapshot_sequence_length": 2,
"max_volume_snapshot_size_usage": 20
}Check snapshot policy quota
Calculate the maximum resource usage if all snapshots are created by the policy.
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
response = client.cloud.lifecycle_policies.estimate_max_usage(
project_id=1,
region_id=1,
action="volume_snapshot",
name="schedule_1",
)
print(response.max_cost)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Cloud.LifecyclePolicies.EstimateMaxUsage(context.TODO(), cloud.LifecyclePolicyEstimateMaxUsageParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(1),
Action: cloud.LifecyclePolicyEstimateMaxUsageParamsActionVolumeSnapshot,
Name: "schedule_1",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.MaxCost)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
1
Region ID
1
Body
Action that the policy will perform.
volume_snapshot "volume_snapshot"
Name of the lifecycle policy.
"schedule_1"
List of schedules associated with the policy.
10List of schedules associated with the policy. If the schedule made 'max_quantity' snapshots, a new snapshot will be created in time, but the oldest from the schedules snapshots will be deleted. If 'retention_time' was set and the schedules snapshots will be delete after the specified period of time. In resource_name_template you can use such forms that will then be automatically filled in with values: '{volume_id}', '{schedule_id}', '{lifecycle_policy_id}', '{datetime_utc}', '{local_datetime}'.
- CreateCronScheduleSerializer
- CreateIntervalScheduleSerializer
Show child attributes
Show child attributes
{
"day_of_week": "fri",
"hour": "0, 20",
"max_quantity": 2,
"minute": "30",
"resource_name_template": "snapshot of volume {volume_id}",
"timezone": "UTC",
"type": "cron"
}
Current status of the lifecycle policy.
active, paused "active"
List of volume IDs.
["3ed9e2ce-f906-47fb-ba32-c25a3f63df4f"]
Response
OK
Total billed cost of all snapshots that can be created by the schedule. Cost of max_volume_snapshot_count_usage snapshots.
Show child attributes
Show child attributes
{
"currency_code": "USD",
"price_per_hour": 0.01,
"price_per_month": 7.2,
"price_status": "show"
}
Count of snapshots that can be created if the schedule creates the maximum possible number of snapshots.
2
Maximum volume snapshot sequence length.
2
The amount of memory in GiB that snapshots will take up if the schedule creates the maximum possible number of them.
20
Was this page helpful?